package main

import (
	"buildme"
	"flag"

	_ "buildme/fetcher/git"
	_ "buildme/fetcher/path"

	"dev.hexasoftware.com/hxs/prettylog"
)

var (
	log = prettylog.New("builder")
)

func main() {
	var fetchType string
	var fetchPath string
	var fetchName string
	flag.StringVar(&fetchType, "t", "path", "Select fetcher <git,path>")
	flag.StringVar(&fetchName, "n", "", "Project name")
	flag.Parse()

	if flag.NArg() == 0 {
		log.Println("Missing parameter")
		return
	}
	fetchPath = flag.Arg(0)

	var err error

	log.Println("Testing new build")

	/*err = buildme.BuildTest(fetchType, fetchPath)
	if err != nil {
		log.Println("Error building", err)
	}*/

	err = buildme.Build(fetchType, fetchPath, fetchName)
	if err != nil {
		log.Println("Error building", err)
	}

}
