package buildme

import (
	"io"
	"os"
)

// Project type
type Project struct {
	tarFile string
	isTemp  bool
	//utils.Filer
	//io.ReadCloser // Tar format? tar reader perhaps
	Name       string
	Dockerfile string
	Steps      string
}

func NewProject(name string) *Project {
	return &Project{
		tarFile:    "",
		isTemp:     false,
		Name:       name,
		Dockerfile: "docker/Dockerfile.build",
		Steps:      "",
	}
}
func (p *Project) SetTarFile(tarFile string, isTemp bool) *Project {
	p.tarFile = tarFile
	p.isTemp = isTemp
	return p
}
func (p *Project) SetName(name string) *Project {
	p.Name = name
	return p
}
func (p *Project) SetDockerfile(dockerfile string) *Project {
	p.Dockerfile = dockerfile
	return p
}

func (p *Project) Reader() io.ReadCloser {
	f, _ := os.Open(p.tarFile)
	return f
}

func (p *Project) Close() {
	if p.isTemp {
		log.Println("Closing temporary file")
		os.Remove(p.tarFile)
	}
	//os.Remove(tarFile) // Should remove??
}
